jQuery(document).ready(function($) {
    
    $('.nav-tab-wrapper a').on( 'click', function(e) {
        var clicked = $(this).attr('href');
        if( clicked.indexOf('#') == -1 )
        	return true;
        $('.nav-tab-wrapper a').removeClass('nav-tab-active');
        $(this).addClass('nav-tab-active').blur();
        $('.group').hide();
        $(clicked).fadeIn();
        if (typeof(localStorage) != 'undefined' ) {
            localStorage.setItem('kc_settings_active_tab', clicked );
        }
        e.preventDefault();
    });
    
    $('p.radio').on('click',function(e){
        if( e.target.tagName != 'INPUT' ){
        	var inp = $(this).find('input').get(0);
        	if( inp.disabled == true )
	        	e.preventDefault();
			else if( inp.checked == true )
        		inp.checked = false;
        	else inp.checked = true;	
        }	
    });
    
    if (typeof(localStorage) != 'undefined' ) {
        activeTab = localStorage.getItem('kc_settings_active_tab');
        if( activeTab != undefined ){
            $('.nav-tab-wrapper a[href="'+activeTab+'"]').trigger('click');
        }
    }
    
    if( window.location.href.indexOf('#') > -1 )
    	$('a[href="#'+window.location.href.split('#')[1]+'"]').trigger('click');
    	
    $('#kc-pro-settings-re-active').on('click',function(){
		$('input[name="re-active-kc-pro"]').val(1);
	});
	
	$('#kc-pro-settings-larger-video').on('click',function(){
		$('.kc-pro-settings').append( $('#kc-pro-settings-download-wrp').addClass('align-center').get(0) );
		$('#kc-pro-settings-video-frame').attr({height:500, width: 860});
		$(this).remove();
		return false;
	});
	
	$('#kc-pro-list-els input[name="kc_pro_all"]').on('click', function(e){
		$('#kc-pro-list-els input[type="radio"]').attr({ checked : false });
		$('#kc-pro-list-els input[value="'+this.value+'"]').attr({ checked : true });
	});
	
	$('#kc-pro-license-inp').on('keydown',function(e){
		if( e.keyCode == 13 ){
			e.preventDefault();
			return false;
		}
	});
	
	$('#kc-pro-settings-process-download').on('click',function(){
		
		$(this).off('click').attr({disabled:true}).removeClass('button-primary').html('<i class="fa-spinner fa-spin fa-fw"></i> KC Pro! is now installing...');

		$.post( ajaxurl, {
				'action': 'kc_download_pro',
				'security': $('#kc-nonce-download').val()
			},function (result) {
				
				if( result === -1 || result === 0 ){
					$('#kc-pro-settings-process-download').html('<span style="color:maroon"><i class="fa-times"></i> Installation failed</span>, reasons bellow:');
					$('#kc-pro-settings-download-wrp').append('<div class="kc-download-failed-mesg"><strong>Console:</strong><br />Invalid sercurity sessition or do wrong way.</div>');
				}else if( result.toString().indexOf( 'active-success' ) > -1 ){
					$('#kc-pro-settings-process-download').html('<span style="color:green"><i class="fa-check"></i> Installation successful</span>, reloading...');
					window.location.href = window.location.href.toString().split('#')[0];
				}else{
					$('#kc-pro-settings-process-download').html('<span style="color:maroon"><i class="fa-times"></i> Installation failed</span>, reasons bellow:');
					$('#kc-pro-settings-download-wrp').append('<div class="kc-download-failed-mesg">'+result+'</div>');
					$('#kc-pro-settings-download-wrp .kc-download-failed-mesg a').remove();
				}
			}
		);
			
		return false;
	});
	
	$('#kc_product_license .see-key').on('click', function(){
		$(this).parent().find('input.kc-license-key').attr({type:'text'});
		$(this).remove();
	});
	
    $('#kc-settings-verify-btn').on('click', function(){
						
		var wrp = $(this).closest('#kc_product_license');
		
		var sercurity = wrp.find('input[name="sercurity"]').val(),
			license = wrp.find('input.kc-license-key').val().toString();
		
		if( license.length !== 41 ){
			wrp.find('.kc-license-notice').html('<div class="kc-notice"><p><i class="fa-warning"></i> Your license code is invalid. Please try with another one.</p></div>');
			return false;
		}
		
		wrp.find('.kc-license-notice').animate({opacity:0});
		$(this).attr({disabled:true}).removeClass('button-primary').html('<i class="fa-spinner fa-spin fa-fw"></i> verifying your license...');
		
		jQuery.post(

			ajaxurl,
		
			{
				'action': 'kc_kcp_access',
				'security': sercurity,
				'license': license
			},
		
			function (result) 
			{
				
				$('#kc-settings-verify-btn').attr({disabled:false}).addClass('button-primary').html('Verify your license');
				wrp.find('.kc-license-notice').animate({opacity:1});
				if( result === -1 || result === 0 || result.stt === -1 || result.stt === 0 ){
					wrp.find('.kc-license-notice').html('<div class="kc-notice kc-msg-error"><p><i class="fa-times"></i> Invalid security session! Please reload the page and try again.</p></div>');
				}else if( result == -2 ){
					wrp.find('.kc-license-notice').html('<div class="kc-notice kc-msg-error"><p><i class="fa-times"></i> Your license code is invalid (code -2)</p></div>');
				}else{
					if( result.stt == 1 ){
						wrp.find('.kc-license-notice').html('<div class="kc-notice kc-msg-success"><p><i class="fa-check-circle"></i> Your domain has been actived successful.</p></div>');
					}else{
						wrp.find('.kc-license-notice').html('<div class="kc-notice kc-msg-error"><p><i class="fa-times"></i> '+result.stt+'</p></div>');		
					}
				}
			}
		);
		
		return false;
		
	});
    
});